package com.unipi.talepis.bscsofteng2024_7;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.ArrayList;
import java.util.List;
import java.util.Random;

@SpringBootApplication
@RestController
public class Bscsofteng20247Application {
    private static List<Course> courses = new ArrayList<>();
    Random random = new Random();

    public static void main(String[] args) {
        SpringApplication.run(Bscsofteng20247Application.class, args);
        courses.add(new Course("Java",2,"Good Object Oriented course"));
        courses.add(new Course("C#",3,"Visual Programming course"));
        courses.add(new Course("Analysis",1,"Mathematics introductory course"));
        courses.add(new Course("Algorithms",2,"Good Object Oriented course"));
    }

    @GetMapping("/randomcourse")
    public Course findACourse(){
        return courses.get(random.nextInt(0,4));
    }
    @GetMapping("/hi")
    public String hi(){
        return "Hello Unipi!";
    }

}
